tntdb::TypeError Class Reference

Exception to indicate, that a value couldn't be converted to a requested type. More...

`#include <error.h>`

Inheritance diagram for tntdb::TypeError:

## Public Member Functions

| TypeError (const std::string &msg="type error")
Public Member Functions inherited from tntdb::Error
| Error (const std::string &msg)
| constructor for a error-message More...

## Detailed Description

Exception to indicate, that a value couldn't be converted to a requested type.

The documentation for this class was generated from the following file:

- tntdb/error.h